<?php
/**
 * this plugin creates a coupon after an order status is updated
 */
defined('_JEXEC') or die('Restricted access');
?>
<?php
class plgHikashopCreateCoupon extends JPlugin
{
	
    function onAfterOrderUpdate(&$order,&$send_email){
    	if(!empty($order->order_id)){
			if($order->order_status == 'confirmed'){
				
				$discount = null;
				$discount->discount_type = 'coupon';
				$discount->discount_start = hikashop::getTime(getdate());
				$discount->discount_end = hikashop::getTime(date("Y-m-d", strtotime("+1 years")));
				$discount->discount_flat_amount = $order->order_full_price;
				$discount->discount_used_times = 1;
				$discount->discount_code = $order->order_id + (hikashop::getTime(getdate()));
				$discount->discount_published = 1;
		
			parent::save($discount);
			}
    	}
		return true;
    }
}